FLANG

Static Public Member Functions | List of all members
fir::UpperBoundAttr Class Reference

`#include <flang/Optimizer/Dialect/FIRAttr.h>`

Inheritance diagram for fir::UpperBoundAttr:

## Static Public Member Functions
static constexpr llvm::StringRef | getAttrName ()
static UpperBoundAttr | get (mlir::MLIRContext *ctxt)
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

## Detailed Description

An upper bound is an open interval (including the bound value) as given as an ssa-value. A case selector of `CASE (:m)` corresponds to any value up to and including `m` and is encoded as `#fir.upper, m`.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRAttr.h
- lib/Optimizer/Dialect/FIRAttr.cpp